#
# spec file for package squidview
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           squidview
Version:        0.86
Release:        1.27
Summary:        Interactive console program which monitors squid logs access
License:        GPL-2.0
Group:          Productivity/Networking/Web/Proxy
Url:            http://www.rillion.net/%{name}/index.html
Source:         http://www.rillion.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         COPYING.patch
Patch1:         ltinfo-obs.patch
Patch2:         ac_new-autoconf.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel

%description
Squidview is an interactive console program which monitors
and displays squid logs in a nice fashion, and may then go
deeper with searching and reporting functions.

If you don't know what squid is or does this program is probably not for you.

To use squidview you must at least have read access to squid's
access.log file. You may need to see your administrator for this.
Squidview uses this text log file for all operations.
It does not generate its own database for tasks

%prep
%setup -q
%patch0
%patch1
%patch2
mv configure.in configure.ac
autoreconf -fiv

%build
%configure
make VERBOSE=1 %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
# Remove stuff that are docs
rm -fv %{buildroot}%{_datadir}/%{name}/BUGS %{buildroot}%{_datadir}/%{name}/example.log

%files
%defattr(-, root, root, 0755)
# Upstream Author doesn't want to be spammed!
# AUTHORS NEWS are empty
%doc BUGS ChangeLog COPYING example.log README
%dir %{_datadir}/squidview
%{_datadir}/squidview/*
%{_mandir}/man1/squidview*
%{_bindir}/squidview

%changelog
* Mon Sep 11 2017 bruno@ioda-net.ch
- New upstream bugfix release 0.86
  + 0.86 February 2017
  + fix clang compiler warning, thanks
    http://people.freebsd.org/~danilo/
  + 0.85 Janurary 2017
  + another result code, thanks Yuri Voinov
  + 0.84 December 2016
  + INM result code as 'U' - unmodified thanks Yuri Voinov
  + 0.82-0.83: May 2016
  + add more squid result codes
  thanks to Yuri Voinov for the suggestions, corrections
- Packaging
  + Fix boo#1057981 : don't remove file under /usr/share/squidview
  + spec_cleaner
  + Use URL as source now
  + Refresh patch ac_new-autoconf.patch for version 0.86
  + Remove _service file, no need
* Thu Jan  1 2015 bruno@ioda-net.ch
- New upstream release 0.81 January 2015
  - squid result code update
  thanks to Yuri Voinov for the suggestion
- Redone patch ac_new_autoconf.patch
* Thu Oct  2 2014 bruno@ioda-net.ch
- Added patch ac_new-autoconf.patch for fixing build on factory
* Thu Feb 13 2014 bruno@ioda-net.ch
- update to upstream 0.8 version
  compatability with syslog
- cleanup service to localrun mode
- added autoreconf
* Wed Feb 15 2012 bruno@ioda-net.ch
- put service source_validator in localonly mode
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 22 2011 bruno@ioda-net.ch
-- Rename the COPYING patch
- Added patch the support and detect -ltinfo (post 12.1)
* Sun Jul 17 2011 bruno@ioda-net.ch
- Comment service download, and put directly the source tar.gz
* Sat Jul  9 2011 bruno@ioda-net.ch
- Fix somes path, build ok for SLES11_SP1-
* Mon Jun  6 2011 bruno@ioda-net.ch
- First packaging of squidview 0.79
- Ask upstream to give a recent COPYING licence file
- Ask to fill AUTHORS file with contact
